Skip to content
Start here

List existing CNI objects

client.NetworkInterconnects.CNIs.List(ctx, params) (*CNIListResponse, error)
GET/accounts/{account_id}/cni/cnis

List existing CNI objects

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
ParametersExpand Collapse
params CNIListParams
AccountID param.Field[string]

Path param: Customer account tag

Cursor param.Field[int64]optional

Query param

formatint32
Limit param.Field[int64]optional

Query param

minimum0
Slot param.Field[string]optional

Query param: If specified, only show CNIs associated with the specified slot

TunnelID param.Field[string]optional

Query param: If specified, only show cnis associated with the specified tunnel id

ReturnsExpand Collapse
type CNIListResponse struct{…}
Items []CNIListResponseItem
ID string
formatuuid
Account string

Customer account tag

CustIP string

Customer end of the point-to-point link

This should always be inside the same prefix as p2p_ip.

formatA.B.C.D/N
Interconnect string

Interconnect identifier hosting this CNI

Magic CNIListResponseItemsMagic
ConduitName string
Description string
Mtu int64
formatint32
minimum0
P2pIP string

Cloudflare end of the point-to-point link

formatA.B.C.D/N
BGP CNIListResponseItemsBGPoptional
CustomerASN int64

ASN used on the customer end of the BGP session

formatint32
minimum0
ExtraPrefixes []string

Extra set of static prefixes to advertise to the customer's end of the session

Md5Key stringoptional

MD5 key to use for session authentication.

Note that this is not a security measure. MD5 is not a valid security mechanism, and the key is not treated as a secret value. This is only supported for preventing misconfiguration, not for defending against malicious attacks.

The MD5 key, if set, must be of non-zero length and consist only of the following types of character:

  • ASCII alphanumerics: [a-zA-Z0-9]
  • Special characters in the set '!@#$%^&*()+[]{}<>/.,;:_-~= |`

In other words, MD5 keys may contain any printable ASCII character aside from newline (0x0A), quotation mark ("), vertical tab (0x0B), carriage return (0x0D), tab (0x09), form feed (0x0C), and the question mark (?). Requests specifying an MD5 key with one or more of these disallowed characters will be rejected.

List existing CNI objects

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/network_interconnects"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  cnis, err := client.NetworkInterconnects.CNIs.List(context.TODO(), network_interconnects.CNIListParams{
    AccountID: cloudflare.F("account_id"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", cnis.Items)
}
{
  "items": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "account": "account",
      "cust_ip": "192.168.3.4/31",
      "interconnect": "interconnect",
      "magic": {
        "conduit_name": "conduit_name",
        "description": "description",
        "mtu": 0
      },
      "p2p_ip": "192.168.3.4/31",
      "bgp": {
        "customer_asn": 0,
        "extra_prefixes": [
          "string"
        ],
        "md5_key": "md5_key"
      }
    }
  ],
  "next": 0
}
Returns Examples
{
  "items": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "account": "account",
      "cust_ip": "192.168.3.4/31",
      "interconnect": "interconnect",
      "magic": {
        "conduit_name": "conduit_name",
        "description": "description",
        "mtu": 0
      },
      "p2p_ip": "192.168.3.4/31",
      "bgp": {
        "customer_asn": 0,
        "extra_prefixes": [
          "string"
        ],
        "md5_key": "md5_key"
      }
    }
  ],
  "next": 0
}